#!/usr/bin/env bash

CRON_FORCE_CHANGED_FILE="/dev/shm/cron_world_server_force_changed"
NOTIFY_FORCE_CHANGED_LOG_FILE="/dev/shm/exec_notify_world_server_force_changed_to_gchat.log"
NOTIFY_FORCE_CHANGED_LOCK_FILE="/dev/shm/exec_notify_world_server_force_changed_to_gchat.lock"
NOTIFY_FORCE_CHANGED_MAX_LOG_SIZE=$((1024 * 1024))

WORLD_SERVER_FORCE_CHANGED_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

NOTIFY_FORCE_CHANGED_SCRIPT="$WORLD_SERVER_FORCE_CHANGED_DIR/notify_world_server_force_changed_to_gchat"
EXEC_NOTIFY_FORCE_CHANGED_SCRIPT="$WORLD_SERVER_FORCE_CHANGED_DIR/exec_notify_world_server_force_changed_to_gchat"
WRITE_CRON_FORCE_CHANGED_SCRIPT="$WORLD_SERVER_FORCE_CHANGED_DIR/write_cron_world_server_force_changed"

FORCE_CHANGED_DETAIL_OUTPUT_DIR="$HOME/www/download/world_server_force_changed"
FORCE_CHANGED_DETAIL_BASE_URL="https://n1-jp-deb12-test.x-legend.com.tw/download/world_server_force_changed"
